module.exports = {
    // ...
    "order/order": [
        "custom-properties",
        {
            type: 'at-rule',
            name: 'include'
        },
        "declarations",
        {
            type: 'rule',
            selector: / &/
        },
        {
            type: 'rule',
            selector: /^&/
        },
        {
            type: 'at-rule',
            name: 'media'
        },
        "rules"
    ],
    "order/properties-order": [ // Concentric CSS order taken from https://github.com/brandon-rhodes/Concentric-CSS
          /* box-sizing */
          /* [content-box|border-box|inherit|initial|unset]*/
          'box-sizing',

          /* position */
          'display',
          'position',
          'top',
          'right',
          'bottom',
          'left',

          'float',
          'clear',

          /* align-content */
          'align-content',
          'align-items',
          'align-self',

          /* flex  */
          'flex',
          'flex-basis',
          'flex-direction',
          'flex-flow',
          'flex-grow',
          'flex-shrink',
          'flex-wrap',
          'justify-content',

          /* order */
          'order',

          /* columns */
          'columns',
          'column-gap',
          'column-fill',
          'column-rule',
          'column-rule-width',
          'column-rule-style',
          'column-rule-color',
          'column-span',
          'column-count',
          'column-width',

          /* transform */
          'backface-visibility',
          'perspective',
          'perspective-origin',
          'transform',
          'transform-origin',
          'transform-style',

          /* tranistions */
          'transition',
          'transition-delay',
          'transition-duration',
          'transition-property',
          'transition-timing-function',

          /* visibility */
          'visibility',
          'opacity',
          'z-index',

          /* margin */
          'margin',
          'margin-top',
          'margin-right',
          'margin-bottom',
          'margin-left',

          /* outline */
          'outline',
          'outline-offset',
          'outline-width',
          'outline-style',
          'outline-color',

          /* border */
          'border',
          'border-top',
          'border-right',
          'border-bottom',
          'border-left',
          'border-width',
          'border-top-width',
          'border-right-width',
          'border-bottom-width',
          'border-left-width',

          /* border-style */
          'border-style',
          'border-top-style',
          'border-right-style',
          'border-bottom-style',
          'border-left-style',

          /* border-radius */
          'border-radius',
          'border-top-left-radius',
          'border-top-right-radius',
          'border-bottom-left-radius',
          'border-bottom-right-radius',

          /* border-color */
          'border-color',
          'border-top-color',
          'border-right-color',
          'border-bottom-color',
          'border-left-color',

          /* border-image */
          'border-image',
          'border-image-source',
          'border-image-width',
          'border-image-outset',
          'border-image-repeat',
          'border-image-slice',

          /* box-shadow */
          'box-shadow',

          /* background */
          'background',
          'background-attachment',
          'background-clip',
          'background-color',
          'background-image',
          'background-origin',
          'background-position',
          'background-repeat',
          'background-size',

          /* cursor */
          'cursor',

          /* padding */
          'padding',
          'padding-top',
          'padding-right',
          'padding-bottom',
          'padding-left',

          /* width */
          'width',
          'min-width',
          'max-width',

          /* height */
          'height',
          'min-height',
          'max-height',

          /* overflow */
          'overflow',
          'overflow-x',
          'overflow-y',
          'resize',

          /* list-style */
          'list-style',
          'list-style-type',
          'list-style-position',
          'list-style-image',
          'caption-side',

          /* tables */
          'table-layout',
          'border-collapse',
          'border-spacing',
          'empty-cells',

          /* animation */
          /* animation-[[name] [duration] [timing-function] [delay] [iteration-count] [direction] [fill-mode] [play-state]]*/
          'animation',
          'animation-name',
          'animation-duration',
          'animation-timing-function',
          'animation-delay',
          'animation-iteration-count',
          'animation-direction',
          'animation-fill-mode',
          'animation-play-state',

          /* vertical-aligment */
          'vertical-align',

          /* text-alignment & decoration */
          'direction',
          'tab-size',
          'text-align',
          'text-align-last',
          'text-justify',
          'text-indent',
          'text-transform',
          'text-decoration',
          'text-decoration-color',
          'text-decoration-line',
          'text-decoration-style',
          'text-rendering',
          'text-shadow',
          'text-overflow',

          /* text-spacing */
          'line-height',
          'word-spacing',
          'letter-spacing',
          'white-space',
          'word-break',
          'word-wrap',
          'color',

          /* font */
          'font',
          'font-family',
          'font-size',
          'font-size-adjust',
          'font-stretch',
          'font-weight',
          'font-smoothing',
          'osx-font-smoothing',
          'font-variant',
          'font-style',

          /* content */
          'content',
          'quotes',

          /* counters */
          'counter-reset',
          'counter-increment',

          /* breaks */
          'page-break-before',
          'page-break-after',
          'page-break-inside'
    ],
    "order/properties-alphabetical-order": null
}
